org.gjt.sp.jedit.bsh

## Class ClassGeneratorUtil.ConstructorArgs

- java.lang.Object
- - org.gjt.sp.jedit.bsh.ClassGeneratorUtil.ConstructorArgs

- Enclosing class:
    ClassGeneratorUtil

      public static class ClassGeneratorUtil.ConstructorArgs
      extends java.lang.Object

  A ConstructorArgs object holds evaluated arguments for a constructor call as well as the index of a possible alternate selector to invoke. This object is used by the constructor switch.
  See Also:
    `ClassGeneratorUtil.generateConstructor( int , String [] , int , ClassWriter )`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClassGeneratorUtil.ConstructorArgs` | `DEFAULT` A ConstructorArgs which calls the default constructor
    `int` | `selector`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBoolean()`
    `byte` | `getByte()`
    `char` | `getChar()`
    `double` | `getDouble()`
    `float` | `getFloat()`
    `int` | `getInt()`
    `long` | `getLong()`
    `java.lang.Object` | `getObject()`
    `short` | `getShort()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static ClassGeneratorUtil.ConstructorArgs DEFAULT

      A ConstructorArgs which calls the default constructor

    - #### selector

          public int selector

  - ### Method Detail

    - #### getBoolean

          public boolean getBoolean()

    - #### getByte

          public byte getByte()

    - #### getChar

          public char getChar()

    - #### getShort

          public short getShort()

    - #### getInt

          public int getInt()

    - #### getLong

          public long getLong()

    - #### getDouble

          public double getDouble()

    - #### getFloat

          public float getFloat()

    - #### getObject

          public java.lang.Object getObject()